Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface CardinalityQRestriction

All Superinterfaces:
  FrontsNode, OntClass, OntResource, QualifiedRestriction, RDFNode, Resource, Restriction

    public interface CardinalityQRestriction

extends QualifiedRestriction

Interface representing the ontology abstraction for a qualified cardinality restriction. A qualified restriction is a DAML+OIL term for a restriction with a cardinality constraint and a constraint that the values of the restricted property must all belong to the given class. At the current time, qualified restrictions are part of DAML+OIL, but not part of OWL.

Version:
  CVS $Id: CardinalityQRestriction.java,v 1.7 2008/01/02 12:06:42 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`int` | `getCardinalityQ()` Answer the cardinality of the restricted property.
`boolean` | `hasCardinalityQ(int cardinality)` Answer true if this property restriction has the given cardinality.
`void` | `removeCardinalityQ(int cardinality)` Remove the statement that this restriction has the given cardinality for the restricted property.
`void` | `setCardinalityQ(int cardinality)` Assert that this restriction restricts the property to have the given cardinality.

Methods inherited from interface com.hp.hpl.jena.ontology.QualifiedRestriction
`getHasClassQ, hasHasClassQ, hasHasClassQ, removeHasClassQ, removeHasClassQ, setHasClassQ`

Methods inherited from interface com.hp.hpl.jena.ontology.Restriction
`asAllValuesFromRestriction, asCardinalityRestriction, asHasValueRestriction, asMaxCardinalityRestriction, asMinCardinalityRestriction, asSomeValuesFromRestriction, convertToAllValuesFromRestriction, convertToCardinalityRestriction, convertToHasValueRestriction, convertToMaxCardinalityRestriction, convertToMinCardinalityRestriction, convertToSomeValuesFromRestriction, getOnProperty, isAllValuesFromRestriction, isCardinalityRestriction, isHasValueRestriction, isMaxCardinalityRestriction, isMinCardinalityRestriction, isSomeValuesFromRestriction, onProperty, removeOnProperty, setOnProperty`

Methods inherited from interface com.hp.hpl.jena.ontology.OntClass
`addDisjointWith, addEquivalentClass, addSubClass, addSuperClass, asComplementClass, asEnumeratedClass, asIntersectionClass, asRestriction, asUnionClass, convertToComplementClass, convertToEnumeratedClass, convertToIntersectionClass, convertToRestriction, convertToUnionClass, createIndividual, createIndividual, dropIndividual, getDisjointWith, getEquivalentClass, getSubClass, getSuperClass, hasDeclaredProperty, hasEquivalentClass, hasSubClass, hasSubClass, hasSubClass, hasSuperClass, hasSuperClass, hasSuperClass, isComplementClass, isDisjointWith, isEnumeratedClass, isHierarchyRoot, isIntersectionClass, isRestriction, isUnionClass, listDeclaredProperties, listDeclaredProperties, listDisjointWith, listEquivalentClasses, listInstances, listInstances, listSubClasses, listSubClasses, listSuperClasses, listSuperClasses, removeDisjointWith, removeEquivalentClass, removeSubClass, removeSuperClass, setDisjointWith, setEquivalentClass, setSubClass, setSuperClass`

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asDatatypeProperty, asIndividual, asObjectProperty, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDatatypeProperty, isDefinedBy, isDifferentFrom, isIndividual, isObjectProperty, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setCardinalityQ

    void setCardinalityQ(int cardinality)

  Assert that this restriction restricts the property to have the given cardinality. Any existing statements for `cardinalityQ` will be removed.

  Parameters:
    `cardinality` - The cardinality of the restricted property
  Throws:
    `OntProfileException` - If the `Profile.CARDINALITY_Q()` property is not supported in the current language profile.

### getCardinalityQ

    int getCardinalityQ()

  Answer the cardinality of the restricted property.

  Returns:
    The cardinality of the restricted property
  Throws:
    `OntProfileException` - If the `Profile.CARDINALITY_Q()` property is not supported in the current language profile.

### hasCardinalityQ

    boolean hasCardinalityQ(int cardinality)

  Answer true if this property restriction has the given cardinality.

  Parameters:
    `cardinality` - The cardinality to test against
  Returns:
    True if the given cardinality is the cardinality of the restricted property in this restriction
  Throws:
    `OntProfileException` - If the `Profile.CARDINALITY_Q()` property is not supported in the current language profile.

### removeCardinalityQ

    void removeCardinalityQ(int cardinality)

  Remove the statement that this restriction has the given cardinality for the restricted property. If this statement is not true of the current model, nothing happens.

  Parameters:
    `cardinality` - A cardinality value to be removed from this restriction
  Throws:
    `OntProfileException` - If the `Profile.CARDINALITY_Q()` property is not supported in the current language profile.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP